Update Session
UpdateSession modifies an existing session resource.
Use this method to partially update fields in a session by specifying an update mask.
Request: UpdateSessionRequest Response: Session
HTTP: PATCH /v1/conversation/sessions/{name}
Path parameters
Query parameters
update_mask specifies the fields to update in the Session.
Request
display_name is the title of the session.
session_type defines the type of the session, such as Public, Private, or Temporary.
default_channels specifies the default channels for the session.
name is the resource identifier for the Session. It follows the format “sessions/{session}” and uniquely identifies a Session resource.
allowed_users contains the list of users allowed in the session.
secret_key is the secret key for the session.
Response
display_name is the title of the session.
session_type defines the type of the session, such as Public, Private, or Temporary.
default_channels specifies the default channels for the session.
name is the resource identifier for the Session. It follows the format “sessions/{session}” and uniquely identifies a Session resource.
allowed_users contains the list of users allowed in the session.
secret_key is the secret key for the session.